Wrapped (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Interface Wrapped

All Known Subinterfaces:
  ConnectionProvider, MultiTenantConnectionProvider

All Known Implementing Classes:
  AbstractDataSourceBasedMultiTenantConnectionProviderImpl, AbstractMultiTenantConnectionProvider, C3P0ConnectionProvider, DataSourceBasedMultiTenantConnectionProviderImpl, DatasourceConnectionProviderImpl, DriverManagerConnectionProviderImpl, InjectedDataSourceConnectionProvider, ProxoolConnectionProvider, TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider, UserSuppliedConnectionProviderImpl

    public interface Wrapped

Optional contract for services that wrap stuff that to which it is useful to have access. For example, a service that maintains a `DataSource` might want to expose access to the `DataSource` or its `Connection` instances.

Method Summary
`boolean` | `isUnwrappableAs(Class unwrapType)` Can this wrapped service be unwrapped as the indicated type?
`
`<T> T`
` | `unwrap(Class<T> unwrapType)` Unproxy the service proxy

Method Detail

### isUnwrappableAs

    boolean isUnwrappableAs(Class unwrapType)

  Can this wrapped service be unwrapped as the indicated type?

  Parameters:
    `unwrapType` - The type to check.
  Returns:
    True/false.

### unwrap

    <T> T unwrap(Class<T> unwrapType)

  Unproxy the service proxy

  Parameters:
    `unwrapType` - The java type as which to unwrap this instance.
  Returns:
    The unwrapped reference
  Throws:
    `UnknownUnwrapTypeException` - if the servicebe unwrapped as the indicated type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.